<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------+
	Converted to BS-Fusion V1.00.xx by:
	
	MarcusG
	http://www.marcusg.de
	
	Developer: SoBeNoFear (ianunruh@gmail.com)
*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."rss_parser_panel/locale/German.php";
}

// Infusion Information
$inf_title = "RSS Parser";
$inf_description = "Adds RSS data to a panel or feeds page.";
$inf_version = "2.14";
$inf_developer = "Surreal Kid (BS-Fusion v1.00.xx by MarcusG)";
$inf_email = "scott@maiden-city.co.uk";
$inf_weburl = "http://www.marcusg.de";

$inf_folder = "rss_parser_panel";
$inf_admin_image = "infusion_panel.gif";
$inf_admin_panel = "rss_parser_admin.php";
$inf_link_name = "RSS Feeds";
$inf_link_url = "feeds.php";
$inf_link_visibility = "0";

$inf_newtables = 1;
$inf_altertables = 1;
$inf_deldbrows = 0;
$inf_newtable_[1] = "rss_feeds (
		id int(5) unsigned NOT NULL auto_increment,
		name varchar(100) NOT NULL default '',
		file varchar(255) NOT NULL default '',
		type smallint(1) NOT NULL default '0',
		in_feeds_page tinyint(1) NOT NULL default '0',
		page_order int(5) unsigned NOT NULL default '0',
		num_items_center_panel int(5) unsigned NOT NULL default '0',
		num_items_side_panel int(5) unsigned NOT NULL default '0',
		num_items_feeds_page int(5) unsigned NOT NULL default '0',
		cache_limit int(10) unsigned NOT NULL default '0',
		new_window smallint(1) unsigned NOT NULL default '1',
		PRIMARY KEY  (id)
	) TYPE=MyISAM;";

//$inf_droptable_[1] = "rss_feeds";
$inf_altertable_[1] = "rss_feeds ADD new_window tinyint(1) unsigned NOT NULL default '1' AFTER type";
$inf_deldbrow_[1] = "";
?>